<?php
session_start();
require('../fpdf/fpdf.php');
require('plantilla_general.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');
$desde=$_GET['desde'];
$hasta=$_GET['hasta'];

$hasta1 = strtotime($hasta."+ 1 days");
date("Y-m-d",$hasta1) . "\n";
$hastaf=date("Y-m-d",$hasta1) . "\n";

$empleadoo=$_GET['empleadoo'];
$sumador_total=0; 
$query=mysqli_query($con, "SELECT * FROM movimiento_caja where mca_usuario='$empleadoo' and ( mca_inicio >='$desde' AND mca_final<='$hastaf') and sucursal='$sucursal' and empresa='$empresa' order by mca_id asc");

$pdf=new PDF_MC_Table('L','mm','A4');
$pdf->AddPage();
$pdf->SetFont('Arial','',14);
$pdf->AliasNbPages();

$pdf->Cell(0,10,'CIERRES DESDE '.$desde. ' HASTA ' .$hasta,0,1);

$pdf->SetFont('Arial','',7);
$pdf->SetFillColor(235,225,215);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(15,6,'N',1,0,'C',1);
$pdf->Cell(25,6,'FECHA',1,0,'C',1);
$pdf->Cell(35,6,'USUARIO',1,0,'C',1);
$pdf->Cell(23,6,'BASE',1,0,'C',1);
$pdf->Cell(23,6,'EFECTIVO',1,0,'C',1);
$pdf->Cell(22,6,'CREDITO',1,0,'C',1);
$pdf->Cell(22,6,'TARJETA',1,0,'C',1);
$pdf->Cell(22,6,'TRANFERENCIA',1,0,'C',1);
$pdf->Cell(22,6,'ABONOS',1,0,'C',1);
$pdf->Cell(22,6,'EGRESOS',1,0,'C',1);
$pdf->Cell(22,6,'CIERRE',1,0,'C',1);
$pdf->Cell(22,6,'DIFERENCIA',1,0,'C',1);
$pdf->Ln(); 

while ($reg=mysqli_fetch_array($query))    
{
    $mca_usuario=$reg['mca_usuario']; 
    $apertura=$reg['apertura'];
    $mca_final=$reg['mca_final'];
    $datos1=mysqli_query($con,"SELECT * FROM usuario WHERE usu_id='$mca_usuario'");
    $fila1=mysqli_fetch_array( $datos1 );
    $usu_nombre=$fila1['usu_nombre'];

    $mca_base=number_format($reg['mca_base'],0);
    $mca_ventas=$reg['mca_ventas']; 
    $mca_credito=number_format($reg['mca_credito'],0);
    $mca_tarjeta=number_format($reg['mca_tarjeta'],0);
    $mca_transferencia=$reg['mca_transferencia'];
    $mca_abonos=number_format($reg['mca_abonos'],0); 
    $mca_otros_movimientos=number_format($reg['mca_otros_movimientos'],0);
    $mca_valor_cierre=number_format($reg['mca_valor_cierre'],0); 
    $mca_diferencia=number_format($reg['mca_diferencia'],0);

    $mca_combinado=$reg['mca_combinado'];
    $mca_efectivo_combinado=$reg['mca_efectivo_combinado'];

    $total_efectivo=number_format($mca_ventas+$mca_efectivo_combinado,0);
    $combinado_tranferencia=$mca_combinado-$mca_efectivo_combinado;
    $total_transferencias=number_format($combinado_tranferencia+$mca_transferencia,0);

    $sumador_total+=$reg['mca_valor_cierre']; 

    $pdf->SetWidths(array(15,25,35,23,23,22,22,22,22,22,22,22));
    srand(time()*1000000);
    $pdf->Row(array($apertura,$mca_final,utf8_decode($usu_nombre),$mca_base,$total_efectivo,$mca_credito,$mca_tarjeta,$total_transferencias,$mca_abonos,$mca_otros_movimientos,$mca_valor_cierre,$mca_diferencia));
}

        $pdf->SetFillColor(135,245,115);
        $pdf->SetFont('Arial','B',8);
        $pdf->Cell(209,6,'',1,0,'C',1);
        $pdf->Cell(22,6,'TOTAL',1,0,'C',1);
        $pdf->Cell(22,6,number_format($sumador_total,0),1,0,'R',1);
        $pdf->Cell(22,6,'',1,0,'R',1);
        $pdf->Ln();

$pdf->Output();
?>